Bug 2221425 - Review Request: pd-mapper - Service listing daemon for Qualcomm IPC Router
Summary: Review Request: pd-mapper - Service listing daemon for Qualcomm IPC Router
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/andersson/pd-mapper
Whiteboard:
Depends On: 2221421
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-07-08 23:03 UTC by Davide Cavalca
Modified: 2023-11-03 18:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-06 21:40:11 UTC
Type: ---
Embargoed:
dennis: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2023-07-08 23:03:03 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/pd-mapper/pd-mapper.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/pd-mapper/pd-mapper-1.0-1.fc39.src.rpm

Description:
This package provides the userspace component for the Qualcomm IPC Router
protocol, which maintains a service listing and allows peforming lookups.

Fedora Account System Username: dcavalca

Comment 1 Jeremy Linton 2023-10-06 18:44:30 UTC
Hi, If you are still interested in having this reviewed, I can take a stab at it if you want to integrate the latest patches, which should now work on fedora.

Comment 2 Davide Cavalca 2023-10-06 20:53:53 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/pd-mapper/pd-mapper.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/pd-mapper/pd-mapper-1.0-1.fc40.src.rpm

Changelog:
- backport compressed firmware support

Comment 3 Fedora Review Service 2023-10-06 20:59:53 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6500741
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2221425-pd-mapper/fedora-rawhide-x86_64/06500741-pd-mapper/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 4 Dennis Gilmore 2023-10-06 21:04:44 UTC
I had completed this review right before you updated the spec, and it looks like you have fixed all issues except for the  licence information in the 4 mentioned files.

Approved 

There a few files that should have license information in them. I do not think this is a blocker to inclusion. but should get fixed.
pd-mapper-1.0/Makefile
pd-mapper-1.0/servreg_loc.c
pd-mapper-1.0/servreg_loc.h
pd-mapper-1.0/servreg_loc.qmi


Fedora's CFLAGS are ignored. There is a patch for it upstream. there is also another patch we will need that is upstream also

the Requires on qrtr is not needed as the generated library dependency on libqrtr.so.1()(64bit) covers it.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[-]: Package does not contain kernel modules.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-Clause License". 6 files have
     unknown license. Detailed output of licensecheck in
     /home/dennis/2221425-pd-mapper/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: systemd_post is invoked in %post, systemd_preun in %preun, and
     systemd_postun in %postun for Systemd service files.
     Note: Systemd service file(s) in pd-mapper
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pd-mapper-1.0-1.fc40.aarch64.rpm
          pd-mapper-debuginfo-1.0-1.fc40.aarch64.rpm
          pd-mapper-debugsource-1.0-1.fc40.aarch64.rpm
          pd-mapper-1.0-1.fc40.src.rpm
========================================================================================================== rpmlint session starts ==========================================================================================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp9tgkwfpu')]
checks: 31, packages: 4

pd-mapper.aarch64: W: no-manual-page-for-binary pd-mapper
pd-mapper.aarch64: W: no-documentation
=========================================================================== 4 packages and 0 specfiles checked; 0 errors, 2 warnings, 0 badness; has taken 0.7 s ===========================================================================




Rpmlint (debuginfo)
-------------------
Checking: pd-mapper-debuginfo-1.0-1.fc40.aarch64.rpm
========================================================================================================== rpmlint session starts ==========================================================================================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpcioet0a0')]
checks: 31, packages: 1

=========================================================================== 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.2 s ===========================================================================





Rpmlint (installed packages)
----------------------------
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 3

pd-mapper.aarch64: W: no-manual-page-for-binary pd-mapper
pd-mapper.aarch64: W: no-documentation
 3 packages and 0 specfiles checked; 0 errors, 2 warnings, 0 badness; has taken 0.7 s 



Source checksums
----------------
https://github.com/andersson/pd-mapper/archive/v1.0/pd-mapper-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 1788da29a9eb257a14249fff86c1ae6a0507116480608bffa38967d1bda77650
  CHECKSUM(SHA256) upstream package : 1788da29a9eb257a14249fff86c1ae6a0507116480608bffa38967d1bda77650


Requires
--------
pd-mapper (rpmlib, GLIBC filtered):
    /bin/sh
    ld-linux-aarch64.so.1()(64bit)
    libc.so.6()(64bit)
    libqrtr.so.1()(64bit)
    qrtr
    rtld(GNU_HASH)

pd-mapper-debuginfo (rpmlib, GLIBC filtered):

pd-mapper-debugsource (rpmlib, GLIBC filtered):



Provides
--------
pd-mapper:
    pd-mapper
    pd-mapper(aarch-64)

pd-mapper-debuginfo:
    debuginfo(build-id)
    pd-mapper-debuginfo
    pd-mapper-debuginfo(aarch-64)

pd-mapper-debugsource:
    pd-mapper-debugsource
    pd-mapper-debugsource(aarch-64)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2221425
Buildroot used: fedora-rawhide-aarch64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: SugarActivity, PHP, Haskell, fonts, Python, Ocaml, Java, R, Perl
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 5 Dennis Gilmore 2023-10-06 21:05:28 UTC
The extra Requires can be fixed on import.

Comment 6 Davide Cavalca 2023-10-06 21:22:20 UTC
Thanks!

> the Requires on qrtr is not needed as the generated library dependency on libqrtr.so.1()(64bit) covers it.

The Requires is because the systemd unit for pd-mapper requires qrtr-ns which is provided by that package: https://github.com/andersson/pd-mapper/blob/master/pd-mapper.service.in#L3C25-L3C25

Comment 7 Fedora Admin user for bugzilla script actions 2023-10-06 21:22:49 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/pd-mapper

Comment 8 Davide Cavalca 2023-10-06 21:26:13 UTC
> There a few files that should have license information in them. I do not think this is a blocker to inclusion. but should get fixed.
> pd-mapper-1.0/Makefile
> pd-mapper-1.0/servreg_loc.c
> pd-mapper-1.0/servreg_loc.h
> pd-mapper-1.0/servreg_loc.qmi

This is something that needs to be fixed upstream, but I don't see any reason why these wouldn't be under the same license as the overall package.

Comment 9 Fedora Update System 2023-10-06 21:37:57 UTC
FEDORA-2023-a96ca8c824 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-a96ca8c824

Comment 10 Fedora Update System 2023-10-06 21:40:11 UTC
FEDORA-2023-a96ca8c824 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-10-06 21:49:22 UTC
FEDORA-2023-8ec1ba0e3a has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8ec1ba0e3a

Comment 12 Fedora Update System 2023-10-06 22:01:43 UTC
FEDORA-2023-ab68e3efa2 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-ab68e3efa2

Comment 13 Jeremy Linton 2023-10-06 23:56:39 UTC
Hey, the pd-mapper component hasn't shown up yet, so i'm tossing this here. It might be nice if the service file autostarts. I think it's missing a .preset file to do that.

Comment 14 Fedora Update System 2023-10-07 01:45:28 UTC
FEDORA-2023-ab68e3efa2 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2023-10-07 02:33:16 UTC
FEDORA-2023-8ec1ba0e3a has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-8ec1ba0e3a \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-8ec1ba0e3a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2023-11-03 18:31:34 UTC
FEDORA-2023-8ec1ba0e3a has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.